YSTest: YSLib::Components::DialogBox Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
YSLib::Components::DialogBox Class Reference

对话框。 More...

`#include <uicontx.h>`

Inheritance diagram for YSLib::Components::DialogBox:
[legend]
Collaboration diagram for YSLib::Components::DialogBox:
[legend]

## Public Types

typedef ystdex::subscriptive_iterator < DialogBox, IWidget > | Iterator

## Public Member Functions

| DialogBox (const Rect &={})
Iterator | GetBegin ()
Iterator | GetEnd ()
WidgetRange | GetChildren () override
IWidget & | operator[] (size_t idx) ynoexcept
size_t | GetChildrenCount () const ynothrow
Public Member Functions inherited from YSLib::Components::Control
| Control (const Rect &={})
| 构造：使用指定边界，默认背景（同 Widget 默认构造）。
| Control (const Rect &, NoBackgroundTag)
| 构造：使用指定边界，无背景。
| Control (const Control &)
| 复制构造：除容器为空外深复制。
| Control (Control &&)=default
virtual IWidget * | GetBoundControlPtr (const KeyInput &)
| 取按键-指针设备输入默认事件组映射。
void | OnTouch_Close (TouchEventArgs &&)
| 处理屏幕事件：关闭显示。
Public Member Functions inherited from YSLib::Components::Widget
| Widget (const Rect &={}, Color=Drawing::ColorSpace::White, Color=Drawing::ColorSpace::Black)
template<typename _tView , typename _tRenderer , typename _tController >
| Widget (_tView &&pView_=make_unique< View >(), _tRenderer &&pRenderer_=make_unique< Renderer >(), _tController &&pController_={})
| 构造：使用视图指针、渲染器指针和控制器指针，无背景。
| Widget (const Widget &)
| 复制构造：除容器指针为空外深复制。
| Widget (Widget &&)=default
virtual | ~Widget ()
| 析构：虚实现。
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
virtual Renderer & | GetRenderer () const ynothrow
| 取渲染器。
virtual View & | GetView () const ynothrow
| 取部件视图。
virtual AController & | GetController () const override
| 取控制器。
void | SetX (SDst _tempArgName)
void | SetY (SDst _tempArgName)
void | SetWidth (SDst _tempArgName)
void | SetHeight (SDst _tempArgName)
void | SetRenderer (unique_ptr< Renderer > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
void | SetView (unique_ptr< View > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
virtual void | Refresh (PaintEventArgs &&)
| 刷新：按指定参数绘制界面并更新状态。
Public Member Functions inherited from YSLib::Components::IWidget
virtual | ~IWidget ()

## Protected Attributes

Thumb | btnClose
| 关闭按钮。

## Additional Inherited Members

Public Attributes inherited from YSLib::Components::Control
std::function< IWidget *(const KeyInput &)> | BoundControlPtr
| 按键-指针设备输入事件组映射。

## Detailed Description

对话框。

Since
  build 276

Definition at line 43 of file uicontx.h.

## Member Typedef Documentation

typedef ystdex::subscriptive_iterator<DialogBox, IWidget> YSLib::Components::DialogBox::Iterator

Since
  build 357

Definition at line 47 of file uicontx.h.

## Constructor & Destructor Documentation

YSL_BEGIN DialogBox::DialogBox | ( | const Rect & | r = `{}` | ) |

explicit

Since
  build 337

Definition at line 36 of file uicontx.cpp.

References YSLib::Components::BackgroundPriority(), DecorateAsCloseButton(), and YSLib::Components::SetContainerPtrOf().

Here is the call graph for this function:

## Member Function Documentation

Iterator YSLib::Components::DialogBox::GetBegin | ( |  | ) |

inline

Since
  build 357

Definition at line 62 of file uicontx.h.

WidgetRange YSLib::Components::DialogBox::GetChildren | ( |  | ) |

inlineoverridevirtual

Since
  build 357

Reimplemented from YSLib::Components::Widget.

Definition at line 62 of file uicontx.h.

size_t YSLib::Components::DialogBox::GetChildrenCount | ( |  | ) | const

inline

Definition at line 62 of file uicontx.h.

Iterator YSLib::Components::DialogBox::GetEnd | ( |  | ) |

inline

Definition at line 62 of file uicontx.h.

IWidget& YSLib::Components::DialogBox::operator[] | ( | size_t | idx | ) |

inline

Definition at line 62 of file uicontx.h.

## Member Data Documentation

Thumb YSLib::Components::DialogBox::btnClose

protected

关闭按钮。

Since
  build 302

Definition at line 54 of file uicontx.h.

The documentation for this class was generated from the following files:

- uicontx.h
- uicontx.cpp